Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047407
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-07-16 17:592021-07-26 08:32
ReporterlbressanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in releasepi
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047407: Print last receipt Button doesn't show the ticket number.

DescriptionWhen a ticket is reprinted from the "Print last Receipt" option, the receipt doesn't have the ticket number.

Steps To ReproduceSteps:

1- Make a sale order.
2- Print it and verify the ticket number
3- Print Last Receipt and verify that the ticket number is missing.
TagsNo tags attached.
Attached Filesjpeg file icon WhatsApp Image 2021-07-15 at 17.50.57.jpeg [^] (144,803 bytes) 2021-07-16 17:59

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130711)
hgbot (developer)
2021-07-23 07:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/523 [^]
(0130743)
hgbot (developer)
2021-07-26 08:32

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/523 [^]
(0130744)
hgbot (developer)
2021-07-26 08:32

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: a5433704f60914cd2dd3177a9927b6f8333fcd43
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-26T06:29:11+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/a5433704f60914cd2dd3177a9927b6f8333fcd43 [^]

Fixed ISSUE-47407: Added Completed ticket to State as LastTicket
When completing ticket, ticket should be added to the State, and it will be used for hooks and events

---
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CancelTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteCreditTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteLayaway.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteMultiCreditTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteMultiTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteQuotation.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/ReplaceTicket.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2021-07-16 17:59 lbressan New Issue
2021-07-16 17:59 lbressan Assigned To => Retail
2021-07-16 17:59 lbressan File Added: WhatsApp Image 2021-07-15 at 17.50.57.jpeg
2021-07-16 17:59 lbressan Regression introduced in release => pi
2021-07-16 17:59 lbressan Triggers an Emergency Pack => No
2021-07-16 18:43 Practics Issue Monitored: Practics
2021-07-19 07:28 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-07-23 07:25 hgbot Note Added: 0130711
2021-07-26 08:32 hgbot Resolution open => fixed
2021-07-26 08:32 hgbot Status new => closed
2021-07-26 08:32 hgbot Note Added: 0130743
2021-07-26 08:32 hgbot Fixed in Version => RR21Q4
2021-07-26 08:32 hgbot Note Added: 0130744


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker